swagger: "2.0"
info:
  title: NIXZ DASFeed/JobFeed API
  description: NIXZ API for retrieving jobs feed.
  version: "1.2"
host: app.nixz.io
basePath: /api
schemes:
  - https
produces:
  - application/json
securityDefinitions:
  Bearer:
    type: apiKey
    name: Authorization
    in: header
    description: JWT Authorization token in the format 'Bearer <token>'
paths:
  /authenticate:
    post:
      summary: Authenticate with email and password
      description: Use email and password to authenticate and get a JWT token for future requests.
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - in: body
          name: body
          description: Email and password for authentication
          required: true
          schema:
            type: object
            required:
              - username
              - password
            properties:
              username:
                type: string
              password:
                type: string
      responses:
        '200':
          description: Successfully authenticated
          schema:
            type: object
            properties:
              id_token:
                type: string
      security:
        - Bearer: []
  /feed/jobs:
    get:
      summary: Retrieve jobs feed
      description: Retrieves a list of Job entities with pagination, sorting and filtering options. Keep track of the createdDate of the last job fetched to use the createdDate.greaterThan={{ job.createdDate }} query parameter to only fetch new jobs.
      parameters:
        - name: address.contains
          in: query
          required: false
          type: string
        - name: address.equals
          in: query
          required: false
          type: string
        - name: address.in
          in: query
          required: false
          type: array
          items:
            type: string
          collectionFormat: multi
        - name: address.specified
          in: query
          required: false
          type: boolean
        - name: attachmentId.equals
          in: query
          required: false
          type: integer
          format: int64
        - name: attachmentId.greaterOrEqualThan
          in: query
          required: false
          type: integer
          format: int64
        - name: attachmentId.greaterThan
          in: query
          required: false
          type: integer
          format: int64
        - name: attachmentId.in
          in: query
          required: false
          type: array
          items:
            type: integer
            format: int64
          collectionFormat: multi
        - name: attachmentId.lessOrEqualThan
          in: query
          required: false
          type: integer
          format: int64
        - name: attachmentId.lessThan
          in: query
          required: false
          type: integer
          format: int64
        - name: attachmentId.specified
          in: query
          required: false
          type: boolean
        - name: category.equals
          in: query
          required: false
          type: string
          enum:
            - CONSTRUCTION
            - COMMUNICATION
            - CULTURE
            - SALES
            - FINANCE
            - HUMAN_RESOURCES
            - LEGAL
            - SPATIAL
            - SOCIAL
            - HEALTHCARE
            - ADMINISTRATION
            - MANAGEMENT
            - SECURITY
            - LOGISTICS
            - EDUCATION
            - TECHNOLOGY
            - FACILITIES
            - ICT
            - MARKETING
        - name: category.in
          in: query
          required: false
          type: array
          items:
            type: string
            enum:
              - CONSTRUCTION
              - COMMUNICATION
              - CULTURE
              - SALES
              - FINANCE
              - HUMAN_RESOURCES
              - LEGAL
              - SPATIAL
              - SOCIAL
              - HEALTHCARE
              - ADMINISTRATION
              - MANAGEMENT
              - SECURITY
              - LOGISTICS
              - EDUCATION
              - TECHNOLOGY
              - FACILITIES
              - ICT
              - MARKETING
          collectionFormat: multi
          enum:
            - CONSTRUCTION
            - COMMUNICATION
            - CULTURE
            - SALES
            - FINANCE
            - HUMAN_RESOURCES
            - LEGAL
            - SPATIAL
            - SOCIAL
            - HEALTHCARE
            - ADMINISTRATION
            - MANAGEMENT
            - SECURITY
            - LOGISTICS
            - EDUCATION
            - TECHNOLOGY
            - FACILITIES
            - ICT
            - MARKETING
        - name: category.specified
          in: query
          required: false
          type: boolean
        - name: city.contains
          in: query
          required: false
          type: string
        - name: city.equals
          in: query
          required: false
          type: string
        - name: city.in
          in: query
          required: false
          type: array
          items:
            type: string
          collectionFormat: multi
        - name: city.specified
          in: query
          required: false
          type: boolean
        - name: closingDate.equals
          in: query
          required: false
          type: string
          format: date-time
        - name: closingDate.greaterOrEqualThan
          in: query
          required: false
          type: string
          format: date-time
        - name: closingDate.greaterThan
          in: query
          required: false
          type: string
          format: date-time
        - name: closingDate.lessOrEqualThan
          in: query
          required: false
          type: string
          format: date-time
        - name: closingDate.lessThan
          in: query
          required: false
          type: string
          format: date-time
        - name: closingDate.specified
          in: query
          required: false
          type: boolean
        - name: createdDate.equals
          in: query
          required: false
          type: string
          format: date-time
        - name: createdDate.greaterOrEqualThan
          in: query
          required: false
          type: string
          format: date-time
        - name: createdDate.greaterThan
          in: query
          required: false
          type: string
          format: date-time
        - name: createdDate.lessOrEqualThan
          in: query
          required: false
          type: string
          format: date-time
        - name: createdDate.lessThan
          in: query
          required: false
          type: string
          format: date-time
        - name: createdDate.specified
          in: query
          required: false
          type: boolean
        - name: description.contains
          in: query
          required: false
          type: string
        - name: description.equals
          in: query
          required: false
          type: string
        - name: description.in
          in: query
          required: false
          type: array
          items:
            type: string
          collectionFormat: multi
        - name: description.specified
          in: query
          required: false
          type: boolean
        - name: duration.contains
          in: query
          required: false
          type: string
        - name: duration.equals
          in: query
          required: false
          type: string
        - name: duration.in
          in: query
          required: false
          type: array
          items:
            type: string
          collectionFormat: multi
        - name: duration.specified
          in: query
          required: false
          type: boolean
        - name: educationId.equals
          in: query
          required: false
          type: integer
          format: int64
        - name: educationId.greaterOrEqualThan
          in: query
          required: false
          type: integer
          format: int64
        - name: educationId.greaterThan
          in: query
          required: false
          type: integer
          format: int64
        - name: educationId.in
          in: query
          required: false
          type: array
          items:
            type: integer
            format: int64
          collectionFormat: multi
        - name: educationId.lessOrEqualThan
          in: query
          required: false
          type: integer
          format: int64
        - name: educationId.lessThan
          in: query
          required: false
          type: integer
          format: int64
        - name: educationId.specified
          in: query
          required: false
          type: boolean
        - name: employer.contains
          in: query
          required: false
          type: string
        - name: employer.equals
          in: query
          required: false
          type: string
        - name: employer.in
          in: query
          required: false
          type: array
          items:
            type: string
          collectionFormat: multi
        - name: employer.specified
          in: query
          required: false
          type: boolean
        - name: endDate.equals
          in: query
          required: false
          type: string
          format: date-time
        - name: endDate.greaterOrEqualThan
          in: query
          required: false
          type: string
          format: date-time
        - name: endDate.greaterThan
          in: query
          required: false
          type: string
          format: date-time
        - name: endDate.lessOrEqualThan
          in: query
          required: false
          type: string
          format: date-time
        - name: endDate.lessThan
          in: query
          required: false
          type: string
          format: date-time
        - name: endDate.specified
          in: query
          required: false
          type: boolean
        - name: extensionOption.contains
          in: query
          required: false
          type: string
        - name: extensionOption.equals
          in: query
          required: false
          type: string
        - name: extensionOption.in
          in: query
          required: false
          type: array
          items:
            type: string
          collectionFormat: multi
        - name: extensionOption.specified
          in: query
          required: false
          type: boolean
        - name: fetchRelations
          in: query
          description: fetchRelations
          required: false
          type: boolean
          default: true
        - name: freelancerAllowed.equals
          in: query
          required: false
          type: string
          enum:
            - 'YES'
            - 'NO'
            - UNKNOWN
        - name: freelancerAllowed.in
          in: query
          required: false
          type: array
          items:
            type: string
            enum:
              - 'YES'
              - 'NO'
              - UNKNOWN
          collectionFormat: multi
          enum:
            - 'YES'
            - 'NO'
            - UNKNOWN
        - name: freelancerAllowed.specified
          in: query
          required: false
          type: boolean
        - name: hoursMaximum.equals
          in: query
          required: false
          type: number
          format: double
        - name: hoursMaximum.greaterOrEqualThan
          in: query
          required: false
          type: number
          format: double
        - name: hoursMaximum.greaterThan
          in: query
          required: false
          type: number
          format: double
        - name: hoursMaximum.in
          in: query
          required: false
          type: array
          items:
            type: number
            format: double
          collectionFormat: multi
        - name: hoursMaximum.lessOrEqualThan
          in: query
          required: false
          type: number
          format: double
        - name: hoursMaximum.lessThan
          in: query
          required: false
          type: number
          format: double
        - name: hoursMaximum.specified
          in: query
          required: false
          type: boolean
        - name: hoursMinimum.equals
          in: query
          required: false
          type: number
          format: double
        - name: hoursMinimum.greaterOrEqualThan
          in: query
          required: false
          type: number
          format: double
        - name: hoursMinimum.greaterThan
          in: query
          required: false
          type: number
          format: double
        - name: hoursMinimum.in
          in: query
          required: false
          type: array
          items:
            type: number
            format: double
          collectionFormat: multi
        - name: hoursMinimum.lessOrEqualThan
          in: query
          required: false
          type: number
          format: double
        - name: hoursMinimum.lessThan
          in: query
          required: false
          type: number
          format: double
        - name: hoursMinimum.specified
          in: query
          required: false
          type: boolean
        - name: id.equals
          in: query
          required: false
          type: integer
          format: int64
        - name: id.greaterOrEqualThan
          in: query
          required: false
          type: integer
          format: int64
        - name: id.greaterThan
          in: query
          required: false
          type: integer
          format: int64
        - name: id.in
          in: query
          required: false
          type: array
          items:
            type: integer
            format: int64
          collectionFormat: multi
        - name: id.lessOrEqualThan
          in: query
          required: false
          type: integer
          format: int64
        - name: id.lessThan
          in: query
          required: false
          type: integer
          format: int64
        - name: id.specified
          in: query
          required: false
          type: boolean
        - name: location.contains
          in: query
          required: false
          type: string
        - name: location.equals
          in: query
          required: false
          type: string
        - name: location.in
          in: query
          required: false
          type: array
          items:
            type: string
          collectionFormat: multi
        - name: location.specified
          in: query
          required: false
          type: boolean
        - name: maximumCandidates.equals
          in: query
          required: false
          type: integer
          format: int64
        - name: maximumCandidates.greaterOrEqualThan
          in: query
          required: false
          type: integer
          format: int64
        - name: maximumCandidates.greaterThan
          in: query
          required: false
          type: integer
          format: int64
        - name: maximumCandidates.in
          in: query
          required: false
          type: array
          items:
            type: integer
            format: int64
          collectionFormat: multi
        - name: maximumCandidates.lessOrEqualThan
          in: query
          required: false
          type: integer
          format: int64
        - name: maximumCandidates.lessThan
          in: query
          required: false
          type: integer
          format: int64
        - name: maximumCandidates.specified
          in: query
          required: false
          type: boolean
        - name: maximumSubmissions.equals
          in: query
          required: false
          type: integer
          format: int64
        - name: maximumSubmissions.greaterOrEqualThan
          in: query
          required: false
          type: integer
          format: int64
        - name: maximumSubmissions.greaterThan
          in: query
          required: false
          type: integer
          format: int64
        - name: maximumSubmissions.in
          in: query
          required: false
          type: array
          items:
            type: integer
            format: int64
          collectionFormat: multi
        - name: maximumSubmissions.lessOrEqualThan
          in: query
          required: false
          type: integer
          format: int64
        - name: maximumSubmissions.lessThan
          in: query
          required: false
          type: integer
          format: int64
        - name: maximumSubmissions.specified
          in: query
          required: false
          type: boolean
        - name: offset
          in: query
          required: false
          type: integer
          format: int64
        - name: page
          in: query
          description: Page number of the requested page
          required: false
          type: integer
          format: int32
        - name: pageNumber
          in: query
          required: false
          type: integer
          format: int32
        - name: pageSize
          in: query
          required: false
          type: integer
          format: int32
        - name: paged
          in: query
          required: false
          type: boolean
        - name: platform.equals
          in: query
          required: false
          type: string
          enum:
            - NEGOMETRIX_3
            - MERCELL
            - CTM_SOLUTION
            - THE_SOLUTIONS_FACTORY
            - SALESFORCE
            - POOLZ_ID
            - FLEXTENDER
            - MAGNIT
            - BEELINE
            - ONE_STOP_SOURCING
            - NONE
        - name: platform.in
          in: query
          required: false
          type: array
          items:
            type: string
            enum:
              - NEGOMETRIX_3
              - MERCELL
              - CTM_SOLUTION
              - THE_SOLUTIONS_FACTORY
              - SALESFORCE
              - POOLZ_ID
              - FLEXTENDER
              - MAGNIT
              - BEELINE
              - ONE_STOP_SOURCING
              - NONE
          collectionFormat: multi
          enum:
            - NEGOMETRIX_3
            - MERCELL
            - CTM_SOLUTION
            - THE_SOLUTIONS_FACTORY
            - SALESFORCE
            - POOLZ_ID
            - FLEXTENDER
            - MAGNIT
            - BEELINE
            - ONE_STOP_SOURCING
            - NONE
        - name: platform.specified
          in: query
          required: false
          type: boolean
        - name: postalCode.contains
          in: query
          required: false
          type: string
        - name: postalCode.equals
          in: query
          required: false
          type: string
        - name: postalCode.in
          in: query
          required: false
          type: array
          items:
            type: string
          collectionFormat: multi
        - name: postalCode.specified
          in: query
          required: false
          type: boolean
        - name: province.equals
          in: query
          required: false
          type: string
          enum:
            - DRENTHE
            - GELDERLAND
            - GRONINGEN
            - FRIESLAND
            - FLEVOLAND
            - LIMBURG
            - NOORD_BRABANT
            - NOORD_HOLLAND
            - OVERIJSSEL
            - UTRECHT
            - ZEELAND
            - ZUID_HOLLAND
        - name: province.in
          in: query
          required: false
          type: array
          items:
            type: string
            enum:
              - DRENTHE
              - GELDERLAND
              - GRONINGEN
              - FRIESLAND
              - FLEVOLAND
              - LIMBURG
              - NOORD_BRABANT
              - NOORD_HOLLAND
              - OVERIJSSEL
              - UTRECHT
              - ZEELAND
              - ZUID_HOLLAND
          collectionFormat: multi
          enum:
            - DRENTHE
            - GELDERLAND
            - GRONINGEN
            - FRIESLAND
            - FLEVOLAND
            - LIMBURG
            - NOORD_BRABANT
            - NOORD_HOLLAND
            - OVERIJSSEL
            - UTRECHT
            - ZEELAND
            - ZUID_HOLLAND
        - name: province.specified
          in: query
          required: false
          type: boolean
        - name: salaryMaximum.equals
          in: query
          required: false
          type: number
          format: double
        - name: salaryMaximum.greaterOrEqualThan
          in: query
          required: false
          type: number
          format: double
        - name: salaryMaximum.greaterThan
          in: query
          required: false
          type: number
          format: double
        - name: salaryMaximum.in
          in: query
          required: false
          type: array
          items:
            type: number
            format: double
          collectionFormat: multi
        - name: salaryMaximum.lessOrEqualThan
          in: query
          required: false
          type: number
          format: double
        - name: salaryMaximum.lessThan
          in: query
          required: false
          type: number
          format: double
        - name: salaryMaximum.specified
          in: query
          required: false
          type: boolean
        - name: salaryMinimum.equals
          in: query
          required: false
          type: number
          format: double
        - name: salaryMinimum.greaterOrEqualThan
          in: query
          required: false
          type: number
          format: double
        - name: salaryMinimum.greaterThan
          in: query
          required: false
          type: number
          format: double
        - name: salaryMinimum.in
          in: query
          required: false
          type: array
          items:
            type: number
            format: double
          collectionFormat: multi
        - name: salaryMinimum.lessOrEqualThan
          in: query
          required: false
          type: number
          format: double
        - name: salaryMinimum.lessThan
          in: query
          required: false
          type: number
          format: double
        - name: salaryMinimum.specified
          in: query
          required: false
          type: boolean
        - name: size
          in: query
          description: Size of a page
          required: false
          type: integer
          format: int32
        - name: sort
          in: query
          description: >-
            Sorting criteria in the format: property(,asc|desc). Default sort
            order is ascending. Multiple sort criteria are supported.
          required: false
          type: array
          items:
            type: string
          collectionFormat: multi
        - name: sort.sorted
          in: query
          required: false
          type: boolean
        - name: sort.unsorted
          in: query
          required: false
          type: boolean
        - name: source.equals
          in: query
          required: false
          type: string
          enum:
            - ABN_AMRO
            - ACHMEA
            - MISCELLANEOUS
            - AMSTELVEEN_HUURT_IN
            - ASR
            - BERGLER
            - BOOKING_COM
            - BSGR
            - BUCH
            - CIRCLE_8
            - COA
            - CONNECTING_EXPERTISE
            - CONNECTING_EXPERTISE_YPTO
            - DAS_MAKKELIJK
            - DCMR
            - DIOR
            - DJI
            - DNB
            - DUO
            - DRENTHE_COLLEGE
            - ENERGIE_BEHEER_NEDERLAND
            - ERASMUS_UNIVERSITEIT
            - FLEXHUIS
            - FLEXTENDER
            - FLEXWERKPORTAAL
            - FLEX_WEST_BRABANT
            - FONTYS
            - FRIESLAND_CAMPINA
            - GEANT
            - GEMEENTE_AMERSFOORT_HUURT_IN
            - GEMEENTE_AMSTERDAM
            - GEMEENTE_DELFT
            - GEMEENTE_HAARLEMMERMEER_HUURT_IN
            - GEMEENTE_HOLLANDS_KROON
            - GEMEENTE_KATWIJK
            - GEMEENTE_LEIDEN
            - GEMEENTE_MAASTRICHT
            - GEMEENTE_ROTTERDAM
            - GEMEENTE_UTRECHT
            - GEMEENTE_WAALWIJK_HUURT_IN
            - GGD_GHOR
            - GGD_ZAANSTREEK_WATERLAND
            - GRONINGEN_HUURT_IN
            - HAERT
            - HARVEY_NASH
            - HERO
            - HECHT_ZET_IN
            - HOGESCHOOL_LEIDEN
            - HOOGHEEMRAADSCHAP_VAN_DELFLAND
            - IGOM
            - ING
            - INHUURBALIE_026
            - INHUUR_NS
            - INKADA
            - ISNV
            - KENTALIS
            - KVK_HUURT_IN
            - LUCHTVERKEERSLEIDING_NEDERLAND
            - MAGNIT
            - MINISTERIE_VAN_ALGEMENE_ZAKEN
            - MINISTERIE_VAN_BINNENLANDSE_ZAKEN
            - MINISTERIE_VAN_BUITENLANDSE_ZAKEN
            - MINISTERIE_VAN_DEFENSIE
            - MINISTERIE_VAN_ECONOMISCHE_ZAKEN_EN_KLIMAAT
            - MINISTERIE_VAN_FINANCIEN
            - MINISTERIE_VAN_INFRASTRUCTUUR_EN_WATERSTAAT
            - MINISTERIE_VAN_JUSTITIE_EN_VEILIGHEID
            - MRA_ELEKTRISCH
            - MSD
            - NATIONALE_NEDERLANDEN
            - NATIONALE_POLITIE
            - NHL_STENDEN_HUURT_IN
            - NIPV
            - NJI
            - NPO
            - NONE
            - NOU_HUURT_IN
            - ODRU
            - ONE_STOP_SOURCING
            - OPENBAAR_MINISTERIE
            - ORGANON
            - OZHZ
            - PORT_OF_AMSTERDAM
            - PORT_OF_ROTTERDAM
            - PROVINCIE_LIMBURG
            - PROVINCIE_OVERIJSSEL
            - PROVINCIE_ZUID_HOLLAND
            - RET
            - RIVM
            - ROYAL_IHC
            - SELECT
            - SEVEN_STARS
            - STAATSBOSBEHEER
            - STAFFING_MS
            - STEDIN
            - STICHTING_ALBEDA
            - STICHTING_GEONOVUM
            - STICHTING_VILANS
            - STICHTING_WATERNET
            - TILBURG_UNIVERSITY
            - TU_EINDHOVEN
            - UBR
            - UKOMST
            - UNILEVER
            - UNIVERSITEIT_UTRECHT
            - UNIVERSITEIT_VAN_AMSTERDAM
            - UWV
            - VFPF
            - VNG_REALISATIE
            - VOLKSBANK
            - VOORUIT_IN_DRENTHE
            - VU_AMSTERDAM
            - WATERSCHAP_HOLLANDSE_DELTA
            - WATERSCHAP_RIVIERENLAND
            - WERKEN_BIJ_S_HERTOGENBOSCH
            - WERKEN_IN_FRIESLAND
            - WERKEN_IN_GELDERLAND
            - WERKEN_IN_NOORDOOST_BRABANT
            - WERKEN_IN_NOORD_HOLLAND_NOORD
            - WERKEN_IN_ZUIDOOST_BRABANT
            - WEST_BETUWE
            - YACHT
            - YUVERTA_HUURT_IN
            - ZORGINSTITUUT_NEDERLAND
        - name: source.in
          in: query
          required: false
          type: array
          items:
            type: string
            enum:
              - ABN_AMRO
              - ACHMEA
              - MISCELLANEOUS
              - AMSTELVEEN_HUURT_IN
              - ASR
              - BERGLER
              - BOOKING_COM
              - BSGR
              - BUCH
              - CIRCLE_8
              - COA
              - CONNECTING_EXPERTISE
              - CONNECTING_EXPERTISE_YPTO
              - DAS_MAKKELIJK
              - DCMR
              - DIOR
              - DJI
              - DNB
              - DUO
              - DRENTHE_COLLEGE
              - ENERGIE_BEHEER_NEDERLAND
              - ERASMUS_UNIVERSITEIT
              - FLEXHUIS
              - FLEXTENDER
              - FLEXWERKPORTAAL
              - FLEX_WEST_BRABANT
              - FONTYS
              - FRIESLAND_CAMPINA
              - GEANT
              - GEMEENTE_AMERSFOORT_HUURT_IN
              - GEMEENTE_AMSTERDAM
              - GEMEENTE_DELFT
              - GEMEENTE_HAARLEMMERMEER_HUURT_IN
              - GEMEENTE_HOLLANDS_KROON
              - GEMEENTE_KATWIJK
              - GEMEENTE_LEIDEN
              - GEMEENTE_MAASTRICHT
              - GEMEENTE_ROTTERDAM
              - GEMEENTE_UTRECHT
              - GEMEENTE_WAALWIJK_HUURT_IN
              - GGD_GHOR
              - GGD_ZAANSTREEK_WATERLAND
              - GRONINGEN_HUURT_IN
              - HAERT
              - HARVEY_NASH
              - HERO
              - HECHT_ZET_IN
              - HOGESCHOOL_LEIDEN
              - HOOGHEEMRAADSCHAP_VAN_DELFLAND
              - IGOM
              - ING
              - INHUURBALIE_026
              - INHUUR_NS
              - INKADA
              - ISNV
              - KENTALIS
              - KVK_HUURT_IN
              - LUCHTVERKEERSLEIDING_NEDERLAND
              - MAGNIT
              - MINISTERIE_VAN_ALGEMENE_ZAKEN
              - MINISTERIE_VAN_BINNENLANDSE_ZAKEN
              - MINISTERIE_VAN_BUITENLANDSE_ZAKEN
              - MINISTERIE_VAN_DEFENSIE
              - MINISTERIE_VAN_ECONOMISCHE_ZAKEN_EN_KLIMAAT
              - MINISTERIE_VAN_FINANCIEN
              - MINISTERIE_VAN_INFRASTRUCTUUR_EN_WATERSTAAT
              - MINISTERIE_VAN_JUSTITIE_EN_VEILIGHEID
              - MRA_ELEKTRISCH
              - MSD
              - NATIONALE_NEDERLANDEN
              - NATIONALE_POLITIE
              - NHL_STENDEN_HUURT_IN
              - NIPV
              - NJI
              - NPO
              - NONE
              - NOU_HUURT_IN
              - ODRU
              - ONE_STOP_SOURCING
              - OPENBAAR_MINISTERIE
              - ORGANON
              - OZHZ
              - PORT_OF_AMSTERDAM
              - PORT_OF_ROTTERDAM
              - PROVINCIE_LIMBURG
              - PROVINCIE_OVERIJSSEL
              - PROVINCIE_ZUID_HOLLAND
              - RET
              - RIVM
              - ROYAL_IHC
              - SELECT
              - SEVEN_STARS
              - STAATSBOSBEHEER
              - STAFFING_MS
              - STEDIN
              - STICHTING_ALBEDA
              - STICHTING_GEONOVUM
              - STICHTING_VILANS
              - STICHTING_WATERNET
              - TILBURG_UNIVERSITY
              - TU_EINDHOVEN
              - UBR
              - UKOMST
              - UNILEVER
              - UNIVERSITEIT_UTRECHT
              - UNIVERSITEIT_VAN_AMSTERDAM
              - UWV
              - VFPF
              - VNG_REALISATIE
              - VOLKSBANK
              - VOORUIT_IN_DRENTHE
              - VU_AMSTERDAM
              - WATERSCHAP_HOLLANDSE_DELTA
              - WATERSCHAP_RIVIERENLAND
              - WERKEN_BIJ_S_HERTOGENBOSCH
              - WERKEN_IN_FRIESLAND
              - WERKEN_IN_GELDERLAND
              - WERKEN_IN_NOORDOOST_BRABANT
              - WERKEN_IN_NOORD_HOLLAND_NOORD
              - WERKEN_IN_ZUIDOOST_BRABANT
              - WEST_BETUWE
              - YACHT
              - YUVERTA_HUURT_IN
              - ZORGINSTITUUT_NEDERLAND
          collectionFormat: multi
          enum:
            - ABN_AMRO
            - ACHMEA
            - MISCELLANEOUS
            - AMSTELVEEN_HUURT_IN
            - ASR
            - BERGLER
            - BOOKING_COM
            - BSGR
            - BUCH
            - CIRCLE_8
            - COA
            - CONNECTING_EXPERTISE
            - CONNECTING_EXPERTISE_YPTO
            - DAS_MAKKELIJK
            - DCMR
            - DIOR
            - DJI
            - DNB
            - DUO
            - DRENTHE_COLLEGE
            - ENERGIE_BEHEER_NEDERLAND
            - ERASMUS_UNIVERSITEIT
            - FLEXHUIS
            - FLEXTENDER
            - FLEXWERKPORTAAL
            - FLEX_WEST_BRABANT
            - FONTYS
            - FRIESLAND_CAMPINA
            - GEANT
            - GEMEENTE_AMERSFOORT_HUURT_IN
            - GEMEENTE_AMSTERDAM
            - GEMEENTE_DELFT
            - GEMEENTE_HAARLEMMERMEER_HUURT_IN
            - GEMEENTE_HOLLANDS_KROON
            - GEMEENTE_KATWIJK
            - GEMEENTE_LEIDEN
            - GEMEENTE_MAASTRICHT
            - GEMEENTE_ROTTERDAM
            - GEMEENTE_UTRECHT
            - GEMEENTE_WAALWIJK_HUURT_IN
            - GGD_GHOR
            - GGD_ZAANSTREEK_WATERLAND
            - GRONINGEN_HUURT_IN
            - HAERT
            - HARVEY_NASH
            - HERO
            - HECHT_ZET_IN
            - HOGESCHOOL_LEIDEN
            - HOOGHEEMRAADSCHAP_VAN_DELFLAND
            - IGOM
            - ING
            - INHUURBALIE_026
            - INHUUR_NS
            - INKADA
            - ISNV
            - KENTALIS
            - KVK_HUURT_IN
            - LUCHTVERKEERSLEIDING_NEDERLAND
            - MAGNIT
            - MINISTERIE_VAN_ALGEMENE_ZAKEN
            - MINISTERIE_VAN_BINNENLANDSE_ZAKEN
            - MINISTERIE_VAN_BUITENLANDSE_ZAKEN
            - MINISTERIE_VAN_DEFENSIE
            - MINISTERIE_VAN_ECONOMISCHE_ZAKEN_EN_KLIMAAT
            - MINISTERIE_VAN_FINANCIEN
            - MINISTERIE_VAN_INFRASTRUCTUUR_EN_WATERSTAAT
            - MINISTERIE_VAN_JUSTITIE_EN_VEILIGHEID
            - MRA_ELEKTRISCH
            - MSD
            - NATIONALE_NEDERLANDEN
            - NATIONALE_POLITIE
            - NHL_STENDEN_HUURT_IN
            - NIPV
            - NJI
            - NPO
            - NONE
            - NOU_HUURT_IN
            - ODRU
            - ONE_STOP_SOURCING
            - OPENBAAR_MINISTERIE
            - ORGANON
            - OZHZ
            - PORT_OF_AMSTERDAM
            - PORT_OF_ROTTERDAM
            - PROVINCIE_LIMBURG
            - PROVINCIE_OVERIJSSEL
            - PROVINCIE_ZUID_HOLLAND
            - RET
            - RIVM
            - ROYAL_IHC
            - SELECT
            - SEVEN_STARS
            - STAATSBOSBEHEER
            - STAFFING_MS
            - STEDIN
            - STICHTING_ALBEDA
            - STICHTING_GEONOVUM
            - STICHTING_VILANS
            - STICHTING_WATERNET
            - TILBURG_UNIVERSITY
            - TU_EINDHOVEN
            - UBR
            - UKOMST
            - UNILEVER
            - UNIVERSITEIT_UTRECHT
            - UNIVERSITEIT_VAN_AMSTERDAM
            - UWV
            - VFPF
            - VNG_REALISATIE
            - VOLKSBANK
            - VOORUIT_IN_DRENTHE
            - VU_AMSTERDAM
            - WATERSCHAP_HOLLANDSE_DELTA
            - WATERSCHAP_RIVIERENLAND
            - WERKEN_BIJ_S_HERTOGENBOSCH
            - WERKEN_IN_FRIESLAND
            - WERKEN_IN_GELDERLAND
            - WERKEN_IN_NOORDOOST_BRABANT
            - WERKEN_IN_NOORD_HOLLAND_NOORD
            - WERKEN_IN_ZUIDOOST_BRABANT
            - WEST_BETUWE
            - YACHT
            - YUVERTA_HUURT_IN
            - ZORGINSTITUUT_NEDERLAND
        - name: source.specified
          in: query
          required: false
          type: boolean
        - name: sourceId.contains
          in: query
          required: false
          type: string
        - name: sourceId.equals
          in: query
          required: false
          type: string
        - name: sourceId.in
          in: query
          required: false
          type: array
          items:
            type: string
          collectionFormat: multi
        - name: sourceId.specified
          in: query
          required: false
          type: boolean
        - name: startDate.equals
          in: query
          required: false
          type: string
          format: date-time
        - name: startDate.greaterOrEqualThan
          in: query
          required: false
          type: string
          format: date-time
        - name: startDate.greaterThan
          in: query
          required: false
          type: string
          format: date-time
        - name: startDate.lessOrEqualThan
          in: query
          required: false
          type: string
          format: date-time
        - name: startDate.lessThan
          in: query
          required: false
          type: string
          format: date-time
        - name: startDate.specified
          in: query
          required: false
          type: boolean
        - name: startDateText.contains
          in: query
          required: false
          type: string
        - name: startDateText.equals
          in: query
          required: false
          type: string
        - name: startDateText.in
          in: query
          required: false
          type: array
          items:
            type: string
          collectionFormat: multi
        - name: startDateText.specified
          in: query
          required: false
          type: boolean
        - name: status.contains
          in: query
          required: false
          type: string
        - name: status.equals
          in: query
          required: false
          type: string
        - name: status.in
          in: query
          required: false
          type: array
          items:
            type: string
          collectionFormat: multi
        - name: status.specified
          in: query
          required: false
          type: boolean
        - name: title.contains
          in: query
          required: false
          type: string
        - name: title.equals
          in: query
          required: false
          type: string
        - name: title.in
          in: query
          required: false
          type: array
          items:
            type: string
          collectionFormat: multi
        - name: title.specified
          in: query
          required: false
          type: boolean
        - name: unpaged
          in: query
          required: false
          type: boolean
        - name: url.contains
          in: query
          required: false
          type: string
        - name: url.equals
          in: query
          required: false
          type: string
        - name: url.in
          in: query
          required: false
          type: array
          items:
            type: string
          collectionFormat: multi
        - name: url.specified
          in: query
          required: false
          type: boolean
      security:
        - Bearer: []
      responses:
        200:
          description: OK
          schema:
            type: array
            items:
              $ref: '#/definitions/Job'
        401:
          description: Unauthorized
  /feed/jobs/count:
    get:
      summary: Returns the number of jobs matching the given filters
      responses:
        200:
          description: OK
          schema:
            type: integer
            example: 9
      security:
        - Bearer: []
  /feed/jobs/{id}:
    get:
      summary: Returns a specific job
      parameters:
        - name: id
          in: path
          description: Identifier of the job requested
          required: true
          type: integer
      responses:
        200:
          description: OK
          schema:
            $ref: '#/definitions/Job'
      security:
        - Bearer: []
definitions:
  JobEducation:
    type: object
    properties:
      level:
        type: string
        enum:
          - MBO
          - HBO
          - WO
        description: The indication of the education level
  JobRequirement:
    type: object
    properties:
      text:
        type: string
        description: The parsed text of the requirement.
      candidateText:
        type: string
        description: The parsed text of the requirement processed for a candidate view.
  JobWish:
    type: object
    properties:
      text:
        type: string
        description: The parsed text of the wish.
      candidateText:
        type: string
        description: The parsed text of the wish processed for a candidate view.
  JobAttachment:
    type: object
    properties:
      name:
        type: string
        description: The file name of the attachment
      mimeType:
        type: string
        description: The mime type of the attachment
      content:
        type: string
        description: The file content (base64 string) of the attachment
  JobActivity:
    type: object
    properties:
      text:
        type: string
        description: The parsed text of the activity.
  JobGoal:
    type: object
    properties:
      text:
        type: string
        description: The parsed text of the goal.
  JobCompetence:
    type: object
    properties:
      text:
        type: string
        description: The parsed text of the competence.
  Job:
    type: object
    properties:
      id:
        type: integer
        description: ID of the job
      createdDate:
        type: string
        format: date-time
        description: Date and time when the job was created
      employer:
        type: string
        description: Name of the employer
      location:
        type: string
        description: Location of the job
      platform:
        type: string
        enum:
          - NEGOMETRIX_3
          - MERCELL
          - CTM_SOLUTION
          - THE_SOLUTIONS_FACTORY
          - SALESFORCE
          - POOLZ_ID
          - FLEXTENDER
          - MAGNIT
          - BEELINE
          - ONE_STOP_SOURCING
          - YACHT
          - SELECT
          - HARVEY_NASH
          - BERGLER
          - HERO
          - UKOMST
          - NONE
        description: Platform of the job
      source:
        type: string
        enum:
          - ABN_AMRO
          - ACHMEA
          - MISCELLANEOUS
          - AMSTELVEEN_HUURT_IN
          - ASR
          - BERGLER
          - BOOKING_COM
          - BSGR
          - BUCH
          - CIRCLE_8
          - COA
          - CONNECTING_EXPERTISE
          - CONNECTING_EXPERTISE_YPTO
          - DAS_MAKKELIJK
          - DCMR
          - DIOR
          - DJI
          - DNB
          - DUO
          - DRENTHE_COLLEGE
          - ENERGIE_BEHEER_NEDERLAND
          - ERASMUS_UNIVERSITEIT
          - FLEXHUIS
          - FLEXTENDER
          - FLEXWERKPORTAAL
          - FLEX_WEST_BRABANT
          - FONTYS
          - FRIESLAND_CAMPINA
          - GEANT
          - GEMEENTE_AMERSFOORT_HUURT_IN
          - GEMEENTE_AMSTERDAM
          - GEMEENTE_DELFT
          - GEMEENTE_HAARLEMMERMEER_HUURT_IN
          - GEMEENTE_HOLLANDS_KROON
          - GEMEENTE_KATWIJK
          - GEMEENTE_LEIDEN
          - GEMEENTE_MAASTRICHT
          - GEMEENTE_ROTTERDAM
          - GEMEENTE_UTRECHT
          - GEMEENTE_WAALWIJK_HUURT_IN
          - GGD_GHOR
          - GGD_ZAANSTREEK_WATERLAND
          - GRONINGEN_HUURT_IN
          - HAERT
          - HARVEY_NASH
          - HERO
          - HECHT_ZET_IN
          - HOGESCHOOL_LEIDEN
          - HOOGHEEMRAADSCHAP_VAN_DELFLAND
          - IGOM
          - ING
          - INHUURBALIE_026
          - INHUUR_NS
          - INKADA
          - ISNV
          - KENTALIS
          - KVK_HUURT_IN
          - LUCHTVERKEERSLEIDING_NEDERLAND
          - MAGNIT
          - MINISTERIE_VAN_ALGEMENE_ZAKEN
          - MINISTERIE_VAN_BINNENLANDSE_ZAKEN
          - MINISTERIE_VAN_BUITENLANDSE_ZAKEN
          - MINISTERIE_VAN_DEFENSIE
          - MINISTERIE_VAN_ECONOMISCHE_ZAKEN_EN_KLIMAAT
          - MINISTERIE_VAN_FINANCIEN
          - MINISTERIE_VAN_INFRASTRUCTUUR_EN_WATERSTAAT
          - MINISTERIE_VAN_JUSTITIE_EN_VEILIGHEID
          - MRA_ELEKTRISCH
          - MSD
          - NATIONALE_NEDERLANDEN
          - NATIONALE_POLITIE
          - NHL_STENDEN_HUURT_IN
          - NIPV
          - NJI
          - NPO
          - NONE
          - NOU_HUURT_IN
          - ODRU
          - ONE_STOP_SOURCING
          - OPENBAAR_MINISTERIE
          - ORGANON
          - OZHZ
          - PORT_OF_AMSTERDAM
          - PORT_OF_ROTTERDAM
          - PROVINCIE_LIMBURG
          - PROVINCIE_OVERIJSSEL
          - PROVINCIE_ZUID_HOLLAND
          - RET
          - RIVM
          - ROYAL_IHC
          - SELECT
          - SEVEN_STARS
          - STAATSBOSBEHEER
          - STAFFING_MS
          - STEDIN
          - STICHTING_ALBEDA
          - STICHTING_GEONOVUM
          - STICHTING_VILANS
          - STICHTING_WATERNET
          - TILBURG_UNIVERSITY
          - TU_EINDHOVEN
          - UBR
          - UKOMST
          - UNILEVER
          - UNIVERSITEIT_UTRECHT
          - UNIVERSITEIT_VAN_AMSTERDAM
          - UWV
          - VFPF
          - VNG_REALISATIE
          - VOLKSBANK
          - VOORUIT_IN_DRENTHE
          - VU_AMSTERDAM
          - WATERSCHAP_HOLLANDSE_DELTA
          - WATERSCHAP_RIVIERENLAND
          - WERKEN_BIJ_S_HERTOGENBOSCH
          - WERKEN_IN_FRIESLAND
          - WERKEN_IN_GELDERLAND
          - WERKEN_IN_NOORDOOST_BRABANT
          - WERKEN_IN_NOORD_HOLLAND_NOORD
          - WERKEN_IN_ZUIDOOST_BRABANT
          - WEST_BETUWE
          - YACHT
          - YUVERTA_HUURT_IN
          - ZORGINSTITUUT_NEDERLAND
        description: Source of the job
      crawledInfo:
        type: string
        description: A serialized JSON string with all the information that was scraped.
      title:
        type: string
        description: Title of the job
      sourceId:
        type: string
        description: The ID of the job in the source platform.
      url:
        type: string
        description: URL of the job posting
      description:
        type: string
        description: Description of the job posting
      candidateDescription:
        type: string
        description: AI rewritten description of the job posting targetted towards the candidate and leaving out salary, contact information etc.
      publishDate:
        type: string
        format: date-time
        description: Date and time when the job was published
      startDate:
        type: string
        format: date-time
        description: Date and time when the job start
      startDateText:
        type: string
        description: Textual representation of the start date if it could not be parsed to a date-time (e.g., zo spoedig mogelijk)
      endDate:
        type: string
        format: date-time
        description: Date and time when the job ends
      closingDate:
        type: string
        format: date-time
        description: Date and time when the job application process closes
      expectedAwardDate:
        type: string
        format: date-time
        description: Date and time when a candidate will be chosen for the job
      askQuestionsDueDate:
        type: string
        format: date-time
        description: Date and time when the deadline is for asking questions about the job posting.
      duration:
        type: string
        description: Text description of the duration of the job.
      government:
        type: boolean
        description: Indicating if this is a governmental job posting.
      extensionOption:
        type: string
        description: Text description of the optional extension option of the job.
      hoursMinimum:
        type: number
        description: Minimum number of hours for this job 
      hoursMaxmimum:
        type: number
        description: Maximum number of hours for this job 
      salaryMinimum:
        type: number
        description: Minimum salary for this job 
      salaryMaximum:
        type: number
        description: Maximum salary for this job
      salaryScale:
        type: string
        description: Salary scale of the job
      maxmimumCandidates:
        type: integer
        description: The maximum number of positions/candidates requested in this job.
      maxmimumSubmissions:
        type: integer
        description: The maximum number of submissions that are allowed per supplier for this job.
      status:
        type: string
        description: Status description of the job posting
      category:
        type: string
        enum:
          - CONSTRUCTION
          - COMMUNICATION
          - CULTURE
          - SALES
          - FINANCE
          - HUMAN_RESOURCES
          - LEGAL
          - SPATIAL
          - SOCIAL
          - HEALTHCARE
          - ADMINISTRATION
          - MANAGEMENT
          - SECURITY
          - LOGISTICS
          - EDUCATION
          - TECHNOLOGY
          - FACILITIES
          - ICT
          - MARKETING
        description: Category of the job posting, assigned by categorization model.
      city:
        type: string
        description: City description of the job posting
      province:
        type: string
        enum:
          - DRENTHE
          - GELDERLAND
          - GRONINGEN
          - FRIESLAND
          - FLEVOLAND
          - LIMBURG
          - NOORD_BRABANT
          - NOORD_HOLLAND
          - OVERIJSSEL 
          - UTRECHT
          - ZEELAND
          - ZUID_HOLLAND
        description: Province where the job posting belongs.
      freelancerAllowed:
        type: string
        enum:
         - YES
         - NO
         - UNKNOWN
        description: Indicates whether the job allows freelancers.
      requirements:
        type: array
        description: Requirements of the job posting
        items:
          $ref: '#/definitions/JobRequirement'
      wishes:
        type: array
        description: Wishes of the job posting
        items:
          $ref: '#/definitions/JobWish'
      competences:
        type: array
        description: Competences of the job posting
        items:
          $ref: '#/definitions/JobCompetence'
      goals:
        type: array
        description: Goals of the job posting
        items:
          $ref: '#/definitions/JobGoal'
      activities:
        type: array
        description: Activities of the job posting
        items:
          $ref: '#/definitions/JobActivity'
      educations:
        type: array
        description: Educations of the job posting
        items:
          $ref: '#/definitions/JobEducation'
      attachments:
        type: array
        description: Attachments of the job posting
        items:
          $ref: '#/definitions/JobAttachment'
